Bug 1127464 - Live Merge hangs
Summary: Live Merge hangs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Greg Padgett
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-08-06 22:37 UTC by Greg Padgett
Modified: 2016-06-12 23:16 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:44:21 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31170 ovirt-engine-3.5 MERGED core: Live Merge command hangs Never

Description Greg Padgett 2014-08-06 22:37:04 UTC
Live Merge will not complete its execution.  There was a commit from master to 3.5 removing some states from the new command execution framework which was missing a few lines.

To test: Run live merge.  Without this patch, it will never converge, despite partially failing or succeeding.  Upon success, the system may operate normally afterwards (despite the command being in progress), but if the command failed the snapshot will remain locked.

Comment 1 Greg Padgett 2014-08-06 23:02:48 UTC
Description should say "There was a commit _backported_ from master to 3.5 [...]".  This bug only affects the 3.5 branch.

Comment 2 Sandro Bonazzola 2014-10-17 12:44:21 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.